> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Call Group

> Create a call group with routing destinations



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/call-groups/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/call-groups/:
    post:
      tags:
        - Call Groups
      summary: Create Call Group
      description: Create a call group with routing destinations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                number:
                  default: ''
                  type: string
                name:
                  type: string
                branchId:
                  type: number
                  exclusiveMinimum: 0
                enableMusicOnHold:
                  default: null
                  anyOf:
                    - type: string
                      enum:
                        - 'on'
                    - type: 'null'
                checkInUse:
                  default: null
                  anyOf:
                    - type: string
                      enum:
                        - 'on'
                    - type: 'null'
                ringStrategy:
                  anyOf:
                    - type: string
                      enum:
                        - RINGALL
                    - type: string
                      enum:
                        - SEQUENCE
                    - type: string
                      enum:
                        - CYCLE
                ringTime:
                  default: 10
                  type: number
                dialTimeout:
                  default: 120
                  type: number
                enableForwarding:
                  default: null
                  anyOf:
                    - type: string
                      enum:
                        - 'on'
                    - type: 'null'
                routingDestinations:
                  default: []
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        anyOf:
                          - type: string
                            enum:
                              - CUSTOM
                          - type: string
                            enum:
                              - EXT
                      id:
                        type: number
                    required:
                      - type
                      - id
                forwardingDestinations:
                  default: []
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                      id:
                        type: number
                    required:
                      - type
                      - id
                timeoutDestinations:
                  default: []
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                      id:
                        type: number
                    required:
                      - type
                      - id
              required:
                - tenantId
                - name
                - ringStrategy
              additionalProperties: false
      responses:
        '200':
          description: Created call group
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Call group ID
                  tenantId:
                    type: number
                    description: Tenant ID
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Call group name
                  number:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Call group number
                  enableMusicOnHold:
                    anyOf:
                      - type: string
                      - type: 'null'
                  checkInUse:
                    anyOf:
                      - type: string
                      - type: 'null'
                  checkOffline:
                    anyOf:
                      - type: string
                      - type: 'null'
                  ringStrategy:
                    anyOf:
                      - type: string
                      - type: 'null'
                  ringTime:
                    anyOf:
                      - type: number
                      - type: 'null'
                  dialTimeout:
                    anyOf:
                      - type: number
                      - type: 'null'
                  enableForwarding:
                    anyOf:
                      - type: string
                      - type: 'null'
                  branch:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - name
                    additionalProperties: {}
                    description: Resolved branch
                  routingDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Destination target ID
                        destType:
                          type: string
                          description: Destination type
                        order:
                          description: Ordering within the group
                          type: number
                        typeSrc:
                          description: Source routing slot
                          type: string
                        name:
                          description: Destination name
                          anyOf:
                            - type: string
                            - type: 'null'
                        number:
                          description: Destination number
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - destType
                      additionalProperties: {}
                  forwardingDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Destination target ID
                        destType:
                          type: string
                          description: Destination type
                        order:
                          description: Ordering within the group
                          type: number
                        typeSrc:
                          description: Source routing slot
                          type: string
                        name:
                          description: Destination name
                          anyOf:
                            - type: string
                            - type: 'null'
                        number:
                          description: Destination number
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - destType
                      additionalProperties: {}
                  timeoutDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Destination target ID
                        destType:
                          type: string
                          description: Destination type
                        order:
                          description: Ordering within the group
                          type: number
                        typeSrc:
                          description: Source routing slot
                          type: string
                        name:
                          description: Destination name
                          anyOf:
                            - type: string
                            - type: 'null'
                        number:
                          description: Destination number
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - destType
                      additionalProperties: {}
                required:
                  - id
                  - tenantId
                  - name
                  - number
                  - branch
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````